{
	saved_firstTime [1]
	
	Init[ ()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetUsable( true );
			SetUseText(193);
			AddRotationPitch((Random(0,255)*256));
			AddRotationTurn(16384);
			Delay(15,1);
		}
	}]

	DelayReached[( dy )
	{
		if( dy=1 )
		{
			DestroyObject( self );
		}
	}]

	OnUse[ ()
	{
		DestroyObject(self);
		Self = Level.GetPlayer();
		Self.GiveWeapon(60);
	}]
}
